<html>
  <head>
    <link rel="stylesheet" href="materialize/icons/icons.css" />
    <link rel="stylesheet" href="materialize/css/materialize.min.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>
      "TEST"
    </title>
    <script src="materialize/js/jquery-3.1.0.min.js"></script>
    <script src="materialize/js/materialize.min.js"></script>
    <script>
      function showCPU(event, data) {document.querySelector("#cpu-detail").innerHTML = JSON.stringify(data, null, 2);}
      function showNetwork(event, data) {console.log("network");console.log(data);document.querySelector("#network-detail").innerHTML = JSON.stringify(data, null, 2);}
      onMainMessage("cpu-count", showCPU);
      onMainMessage("network-info", showNetwork);
      new Notification("Started", {body: "UI is running"});
    </script>
  </head>
  <body class="grey lighten-1">
    <nav>
      <div class="nav-wrapper blue-grey lighten-4">
        <a href="#!" style="-webkit-app-region: drag" class="brand-logo center blue-grey-text text-darken-3">Test App</a>
        <ul class="right hide-on-med-and-down">
          <li><a class="waves-effect waves-light btn red lighten-1" onclick="window.close()">CLOSE</a></li>
        </ul>
      </div>
    </nav>
    <div class="container">
      <div class="card blue-grey lighten-1">
        <div class="card-content">
          <span class="card-title white-text">Hardware Details</span>
          <ul class="collapsible" data-collapsible="accordion">
            <li onclick="if (!this.className.includes('active')) {sendMainMessage('cpu-request')}">
              <div class="collapsible-header"><i class="material-icons">view_module</i>CPUs</div>
              <div class="collapsible-body white-text"><pre id="cpu-detail"></pre></div>
            </li>
            <li onclick="if (!this.className.includes('active')) {sendMainMessage('network-request')}">
              <div class="collapsible-header"><i class="material-icons">settings_input_antenna</i>Network Interfaces</div>
              <div class="collapsible-body white-text"><pre id="network-detail"></pre></div>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </body>
</html>
